import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询咨询结果维护列表
export function listConsultResult(query) {
  return request({
    url:  baseUrl +  '/business/consultResult/list',
    method: 'get',
    params: query
  })
}

// 查询咨询结果维护详细
export function getConsultResult(id) {
  return request({
    url:  baseUrl + '/business/consultResult/' + id,
    method: 'get'
  })
}

// 新增咨询结果维护
export function addConsultResult(data) {
  return request({
    url: baseUrl +  '/business/consultResult',
    method: 'post',
    data: data
  })
}

// 修改咨询结果维护
export function updateConsultResult(data) {
  return request({
    url: baseUrl +  '/business/consultResult',
    method: 'put',
    data: data
  })
}

// 删除咨询结果维护
export function delConsultResult(id) {
  return request({
    url: baseUrl +  '/business/consultResult/' + id,
    method: 'delete'
  })
}
